org.opencv.core

## Class MatOfInt

- java.lang.Object
- - org.opencv.core.Mat
  - - org.opencv.core.MatOfInt

-     public class MatOfInt
      extends Mat

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Mat

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MatOfInt()`
    `` | `MatOfInt(int... a)`
    `protected` | `MatOfInt(long addr)`
    `` | `MatOfInt(Mat m)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alloc(int elemNumber)`
    `void` | `fromArray(int... a)`
    `void` | `fromList(List<Integer> lb)`
    `static MatOfInt` | `fromNativeAddr(long addr)`
    `int[]` | `toArray()`
    `List<Integer>` | `toList()`

    - ### Methods inherited from class org.opencv.core.Mat

      `adjustROI, assignTo, assignTo, channels, checkVector, checkVector, checkVector, clone, col, colRange, colRange, cols, convertTo, convertTo, convertTo, copySize, copyTo, copyTo, create, create, create, cross, dataAddr, depth, diag, diag, diag, dims, dot, dump, elemSize, elemSize1, empty, eye, eye, finalize, get, get, get, get, get, get, get, get, get, get, get, get, getNativeObjAddr, height, inv, inv, isContinuous, isSubmatrix, locateROI, mul, mul, ones, ones, ones, push_back, put, put, put, put, put, put, put, put, put, put, put, put, release, reshape, reshape, reshape, row, rowRange, rowRange, rows, setTo, setTo, setTo, setTo, size, size, step1, step1, submat, submat, submat, submat, t, toString, total, type, width, zeros, zeros, zeros`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatOfInt

          public MatOfInt()

    - #### MatOfInt

          protected MatOfInt(long addr)

    - #### MatOfInt

          public MatOfInt(Mat m)

    - #### MatOfInt

          public MatOfInt(int... a)

  - ### Method Detail

    - #### fromNativeAddr

          public static MatOfInt fromNativeAddr(long addr)

    - #### alloc

          public void alloc(int elemNumber)

    - #### fromArray

          public void fromArray(int... a)

    - #### toArray

          public int[] toArray()

    - #### fromList

          public void fromList(List<Integer> lb)

    - #### toList

          public List<Integer> toList()

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8